import { UserFilterRequestSchema } from '../../schemas/user/UserFilterRequestSchema';
declare class UserFilterRequest {
    text: string;
    page: number;
    max: number;
    sort: 'DESC' | 'ASC';
    sortField: string;
    constructor(values: any);
    isValid(): Promise<Boolean>;
    validate(): Promise<any>;
}
export { UserFilterRequest, UserFilterRequestSchema };
